Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.iface
Class MessagePart.HeaderPart

    java.lang.Object
      com.eviware.soapui.model.iface.MessagePart.ContentPart
          com.eviware.soapui.model.iface.MessagePart.HeaderPart

All Implemented Interfaces:
  MessagePart

Direct Known Subclasses:
  WsdlHeaderPart

Enclosing interface:
  MessagePart

    public abstract static class MessagePart.HeaderPart

extends MessagePart.ContentPart

Nested Class Summary

Nested classes/interfaces inherited from interface com.eviware.soapui.model.iface.MessagePart
`MessagePart.AttachmentPart, MessagePart.ContentPart, MessagePart.FaultPart, MessagePart.HeaderPart, MessagePart.PartType`

Constructor Summary
`MessagePart.HeaderPart()`

Method Summary
`MessagePart.PartType` | `getPartType()`
`abstract org.apache.xmlbeans.SchemaType` | `getSchemaType()`

Methods inherited from class com.eviware.soapui.model.iface.MessagePart.ContentPart
`getPartElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.iface.MessagePart
`getDescription, getName`

Constructor Detail

### MessagePart.HeaderPart

    public MessagePart.HeaderPart()

Method Detail

### getSchemaType

    public abstract org.apache.xmlbeans.SchemaType getSchemaType()

  Specified by:
    `getSchemaType` in class `MessagePart.ContentPart`

### getPartType

    public MessagePart.PartType getPartType()

  Specified by:
    `getPartType` in interface `MessagePart`
  Overrides:
    `getPartType` in class `MessagePart.ContentPart`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.